/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Costume Collection\Points\CollectionToadstool.cs
Lines of code: 92
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class BlackToadstool : Item
	{
		[Constructable]
		public BlackToadstool() : this( 1 )
		{
		}

		[Constructable]
		public BlackToadstool( int amount ) : base( 0x26B7 )
		{
			Name = "black toadstools";
			Stackable = true;
			Weight = 0.1;
			Amount = amount;
			Hue = 1175;
		}

		

		public BlackToadstool( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
	
	public class GreenToadstool : Item
	{
		[Constructable]
		public GreenToadstool() : this( 1 )
		{
		}

		[Constructable]
		public GreenToadstool( int amount ) : base( 0x26B7 )
		{
			Name = "green toadstools";
			Stackable = true;
			Weight = 0.1;
			Amount = amount;
			Hue = 1155;
		}

		public GreenToadstool( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
	
	public class RedToadstool : Item
	{
		[Constructable]
		public RedToadstool() : this( 1 )
		{
		}

		[Constructable]
		public RedToadstool( int amount ) : base( 0x26B7 )
		{
			Name = "red toadstools";
			Stackable = true;
			Weight = 0.1;
			Amount = amount;
			Hue = 1157;
		}

		public RedToadstool( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}